Skip to main content
POST
/
stores
/
{storeId}
/
coverage-products
Coverage Products
curl --request POST \
  --url https://api.getredo.com/v2.2/stores/{storeId}/coverage-products \
  --header 'Content-Type: application/json' \
  --data '
{
  "cart": {
    "lineItems": [
      {
        "id": "<string>",
        "priceTotal": {
          "amount": "<string>",
          "currency": "<string>"
        },
        "product": {
          "id": "<string>"
        },
        "quantity": 123,
        "variant": {
          "id": "<string>"
        },
        "coupons": [
          {
            "code": "<string>",
            "discountAmount": {
              "amount": "<string>",
              "currency": "<string>"
            },
            "id": "<string>"
          }
        ],
        "originalPrice": {
          "amount": "<string>",
          "currency": "<string>"
        }
      }
    ],
    "priceTotal": {
      "amount": "<string>",
      "currency": "<string>"
    }
  },
  "products": [
    {
      "id": "<string>"
    }
  ],
  "variants": [
    {
      "id": "<string>",
      "title": "<string>",
      "weight": {
        "kg": 1
      }
    }
  ]
}
'
{
  "coverageProducts": [
    {
      "id": "<string>",
      "price": {
        "amount": "<string>",
        "currency": "<string>"
      },
      "coverages": [
        {
          "lineItems": [
            {
              "id": "<string>"
            }
          ],
          "type": "shipping_failure"
        }
      ]
    }
  ]
}

Path Parameters

storeId
string
required

Store ID

Example:

"64e5a8a1af49a89df37e4ee7"

Body

application/json
cart
Storefront Cart · object
required

Storefront cart.

customer
Storefront Customer · object

Storefront customer.

products
Products · object[]
deprecated

Product information.

variants
Variants · object[]
deprecated

Variant information.

Response

Success

coverageProducts
Coverage product · object[]
required

Coverage products.